unit ESDesignTime;

interface

uses
  DesignIntf, DesignEditors;

type
  TESSoundProperty = class(TStringProperty)
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  published
    { Published declarations }
  end;

procedure Register;

implementation

uses
  ESDigitalClock, ESSoundButton, Classes, Forms, ESSoundForm,
  Controls;

procedure Register;
begin
  RegisterComponents('ES komponente', [TESDigitalClock, TESSoundButton]);
  RegisterPropertyEditor(TypeInfo(String), TESSoundButton, 'Sound', TESSoundProperty);
end;

{ TESSoundProperty }

procedure TESSoundProperty.Edit;
var
  SoundForm: TESSndForm;
begin
  SoundForm := TESSndForm.Create(Application);
  try
    SoundForm.Filename := GetValue;
    if SoundForm.ShowModal = mrOK then
      SetValue(SoundForm.Filename);
  finally
    SoundForm.Free;
  end;
end;

function TESSoundProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog, paMultiSelect];
end;

end.
