unit ESSoundForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, MMSystem;

type
  TESSndForm = class(TForm)
    btnLoad: TButton;
    btnClear: TButton;
    btnPreview: TButton;
    btnOk: TButton;
    btnCancel: TButton;
    dlgOpen: TOpenDialog;
    lblSound: TLabel;
    procedure btnLoadClick(Sender: TObject);
    procedure btnClearClick(Sender: TObject);
    procedure btnPreviewClick(Sender: TObject);
  private
    function GetFilename: String;
    procedure SetFilename(const Value: String);
    { Private declarations }
  public
    { Public declarations }
    property Filename: String read GetFilename write SetFilename;
  end;

var
  ESSndForm: TESSndForm;

implementation

{$R *.dfm}

procedure TESSndForm.btnLoadClick(Sender: TObject);
begin
  If lblSound.Caption <> 'No sound' then
    dlgOpen.FileName := lblSound.Caption;
  If dlgOpen.Execute then
    lblSound.Caption := dlgOpen.FileName;
end;

procedure TESSndForm.btnClearClick(Sender: TObject);
begin
  lblSound.Caption := 'No sound';
end;

procedure TESSndForm.btnPreviewClick(Sender: TObject);
begin
  If lblSound.Caption <> 'No sound' then
    PlaySound(PChar(lblSound.Caption), 0, SND_ASYNC or SND_FILENAME);
end;

function TESSndForm.GetFilename: String;
begin
  If lblSound.Caption = 'No sound' then
    Result := ''
  else
    Result := lblSound.Caption;
end;

procedure TESSndForm.SetFilename(const Value: String);
begin
  If Value = '' then
    lblSound.Caption := 'No sound'
  else
    lblSound.Caption := Value;
end;

end.
